Bug 1273454 - JDBC migration tool is missing JTA jar
JDBC migration tool is missing JTA jar
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.6.0
Assigned To: Sebastian Łaskawiec
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 09:13 EDT by Vojtech Juranek
Modified: 2018-01-29 11:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojtech Juranek 2015-10-20 09:13:11 EDT
JDBC migration tool is missing java transaction API jar file, it fails with exception bellow. When added manually on class path, works fine.


Exception in thread "main" java.lang.NoClassDefFoundError: javax/transaction/TransactionManager
        at org.infinispan.configuration.cache.TransactionConfigurationBuilder.<init>(TransactionConfigurationBuilder.java:32)
        at org.infinispan.configuration.cache.ConfigurationBuilder.<init>(ConfigurationBuilder.java:52)
        at org.infinispan.persistence.migrator.jdbc.JdbcUpgradeTool.initializeTargetStore(JdbcUpgradeTool.java:54)
        at org.infinispan.persistence.migrator.jdbc.JdbcUpgradeTool.<init>(JdbcUpgradeTool.java:48)
        at org.infinispan.persistence.migrator.jdbc.JdbcUpgradeTool.main(JdbcUpgradeTool.java:192)
Caused by: java.lang.ClassNotFoundException: javax.transaction.TransactionManager
        at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
        ... 5 more
Comment 3 Vojtech Juranek 2015-11-05 09:32:20 EST
JTA API jar is now added into the zip, but still fails with the same issue. If the JTA API jar needs to be added to the class path manually, it should be mentioned in README.txt, but I'd prefer it to be part of JDBC migrator jar.

Note You need to log in before you can comment on or make changes to this bug.